Bug 979676 - Review Request: perl-Test-TrailingSpace - Test for trailing space in source files
Review Request: perl-Test-TrailingSpace - Test for trailing space in source f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 979674
Blocks: 979677
  Show dependency treegraph
 
Reported: 2013-06-29 06:23 EDT by Christopher Meng
Modified: 2013-08-10 16:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Test-TrailingSpace-0.0203-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-10 16:09:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 06:23:08 EDT
Spec URL: http://cicku.me/perl-Test-TrailingSpace.spec
SRPM URL: http://cicku.me/perl-Text-Xslate-2.0007-1.fc20.src.rpm
Description: This module is used to test for lack of trailing space.
Fedora Account System Username: cicku
Comment 1 Parag AN(पराग) 2013-07-11 00:01:39 EDT
hmm spec link and srpm link is different....
Comment 2 Christopher Meng 2013-07-11 01:46:36 EDT
Oh...Too many perl pkgs here... ;)

Spec URL: http://cicku.me/perl-Test-TrailingSpace.spec
SRPM URL: http://cicku.me/perl-Test-TrailingSpace-0.0203-1.fc20.src.rpm
Comment 3 Parag AN(पराग) 2013-07-15 00:59:54 EDT
Still I am getting in local mock build
Error: No Package found for perl(File::Find::Object::Rule)

so, waiting for this package. But, anyway I can review this using koji scratch build.

Review:
+ koji scratch build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=5607384

+ rpmlint on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


+ license is "MIT" and included in source file.

+ Source verified with upstream as
srpm tarball : e81787f1fad34093d8e19f26ae8a5cfcf658ff577ba010a40a586fa4237f9ed2
upstream tarball : e81787f1fad34093d8e19f26ae8a5cfcf658ff577ba010a40a586fa4237f9ed2

+ make test gaveAll tests successful.
Files=4, Tests=8,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.22 cusr  0.04 csys =  0.29 CPU)

+ Package perl-Test-TrailingSpace-0.0203-1.fc20
Provides: perl(Test::TrailingSpace) = 0.0203 perl-Test-TrailingSpace = 0.0203-1.fc20
Requires: perl(File::Find::Object::Rule) >= 0.0301 perl(Test::More) perl(autodie) perl(strict) perl(warnings)

Suggestions:
1) remove following requires. let rpm find and install them for this package.
Requires:       perl(autodie)
Requires:       perl(File::Find::Object::Rule)
Requires:       perl(Test::More)

APPROVED.
Comment 4 Christopher Meng 2013-07-15 20:34:56 EDT
New Package SCM Request
=======================
Package Name: perl-Test-TrailingSpace
Short Description: Test for trailing space in source files
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-07-16 08:07:25 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-07-29 21:52:03 EDT
perl-Test-TrailingSpace-0.0203-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Test-TrailingSpace-0.0203-1.fc18
Comment 7 Fedora Update System 2013-07-29 21:52:42 EDT
perl-Test-TrailingSpace-0.0203-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Test-TrailingSpace-0.0203-1.fc19
Comment 8 Fedora Update System 2013-08-01 23:46:35 EDT
perl-Test-TrailingSpace-0.0203-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2013-08-10 16:09:45 EDT
perl-Test-TrailingSpace-0.0203-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-08-10 16:10:51 EDT
perl-Test-TrailingSpace-0.0203-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.